typedef struct
    {
     coord X;	/* screen X */
     coord Y;	/* screen Y */
     coord box_X; /* Column in mode box (0-based) */
     coord box_Y; /* Row in mode box (0-based) */
     char * id; /* ID to display */
     int code;  /* code for mode option */
     boolean active;
    } mode_state;

#include "modes.h"

#define NMODES 7

void draw_mode_box(void);
void check_mode(coord X,coord Y);

